<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!--
		Transform an XETL XML Schema 1.1 to XML Schema 1.0 by stripping assertions
		Version: 0.1
		Date: 2015-07-03
	-->

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="no"/>

	<xsl:template match="xsd:schema">
		<!-- Copy includes the namespaces; but we avoid XML Schema 1.1 specific attributes -->
		<!-- Note, namespace aliases must be kept as-is since they are used in the schema type attributes -->
		<xsl:copy>
			<xsl:apply-templates select="*|@targetNamespace|@elementFormDefault|@attributeFormDefault|comment()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="xsd:assert">
		<!-- Assertion are copied to output as comments -->
		<xsl:comment>
			Assertion (default namespace: <xsl:value-of select="@xpathDefaultNamespace"/>):
			<xsl:value-of select="@test"/>
		</xsl:comment>
	</xsl:template>

	<xsl:template match="*|@*|text()|comment()">
		<!-- Other nodes are copied without any modifications -->
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|comment()"/>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>
